Name:           perl-CPAN
Version:        2.29
Release:        2
Summary:        Query, download and build perl modules from CPAN sites
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CPAN
Source0:        https://cpan.metacpan.org/authors/id/A/AN/ANDK/CPAN-%{version}.tar.gz
BuildArch:      noarch

Patch1:      	backport-CVE-2023-31484.patch

BuildRequires:  coreutils findutils perl(Test::Pod) perl(Test::Pod::Coverage) >= 0.18
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More) perl(YAML) perl(Module::Build)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) make
Requires:       perl(Archive::Tar) >= 1.50 perl(CPAN::Meta::Requirements) >= 2.121
Requires:       perl(Data::Dumper) perl(Devel::Size) perl(ExtUtils::Manifest) perl(File::HomeDir) >= 0.65
Requires:       perl(File::Temp) >= 0.16 perl(lib) perl(Net::Config) perl(Net::FTP)
Requires:       perl(POSIX) perl(Term::ReadLine) perl(Time::Local) perl(URI) perl(URI::Escape)
Requires:       perl(User::pwent) perl(Archive::Zip) perl(Compress::Bzip2)
Requires:       perl(CPAN::Meta) >= 2.110350 perl(Compress::Zlib) perl(Digest::MD5)
Requires:       perl(Digest::SHA) perl(Dumpvalue) perl(ExtUtils::CBuilder)
Requires:       perl(Module::Build) perl(Text::Glob)
Recommends:     perl(Term::ReadKey)
Suggests:       perl(Text::Levenshtein::Damerau::XS) perl(YAML::Syck)
       
Provides:       cpan = %{version}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Mac::BuildTools\\)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(CPAN::Meta::Requirements\\)

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use LWP, HTTP::Tiny, Net::FTP and certain
external download clients to fetch distributions from the net.

The CPAN module also supports named and versioned *bundles* of modules.
Bundles simplify handling of sets of related modules.

%package_help

%prep
%autosetup -n CPAN-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes PAUSE*.pub README Todo
%{_bindir}/*
%{perl_vendorlib}/*

%files help
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Jul 4 2023 yanglongkang <yanglongkang@h-partners.com> - 2.29-2
- fix CVE-2023-31484

* Thu Feb 10 2022 tianwei <tianwei12@h-partners.com> - 2.29-1
- upgrade to 2.29

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.27-3
- revise requires

* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.27-2
- revise __requires_exclude

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.27-1
- Package Init
